Get Call Recording
curl --request GET \
--url https://api.trillet.ai/v1/api/calls/recordings/{callSid} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trillet.ai/v1/api/calls/recordings/{callSid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trillet.ai/v1/api/calls/recordings/{callSid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HTTP/1.1 200 OK
Content-Type: audio/mpeg
Content-Disposition: inline;
filename="exampleRecordingSid.mp3"
Calls
Get Call Recording
Retrieve audio recording for a completed call session.
GET
/
v1
/
api
/
calls
/
recordings
/
{callSid}
Get Call Recording
Headers
string
required
API key used for authenticating requests to the API.
Path Parameters
string
required
The Twilio Call SID of the call whose recording you want.
Response Fields
string
Indicates the MIME type of the streamed content, which is ‘audio/mpeg’ for MP3 audio files.
string
Describes how the content should be handled by the browser; set to ‘inline’ with a filename indicating the name of the downloaded or played file.
Response
An audio/mpeg file (MP3) is streamed back. You can download or play it in the browser.HTTP/1.1 200 OK
Content-Type: audio/mpeg
Content-Disposition: inline;
filename="exampleRecordingSid.mp3"
⌘I
